Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Enum CashAccountType4Code

java.lang.Object
java.lang.Enum<CashAccountType4Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_02.CashAccountType4Code

All Implemented Interfaces:
  `Serializable`, `Comparable<CashAccountType4Code>`, `java.lang.constant.Constable`

public enum CashAccountType4Code extends Enum<CashAccountType4Code>

Java class for CashAccountType4Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CashAccountType4Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CASH"/>
         <enumeration value="CHAR"/>
         <enumeration value="COMM"/>
         <enumeration value="TAXE"/>
         <enumeration value="CISH"/>
         <enumeration value="TRAS"/>
         <enumeration value="SACC"/>
         <enumeration value="CACC"/>
         <enumeration value="SVGS"/>
         <enumeration value="ONDP"/>
         <enumeration value="MGLD"/>
         <enumeration value="NREX"/>
         <enumeration value="MOMA"/>
         <enumeration value="LOAN"/>
         <enumeration value="SLRY"/>
         <enumeration value="ODFT"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CACC`
`CASH`
`CHAR`
`CISH`
`COMM`
`LOAN`
`MGLD`
`MOMA`
`NREX`
`ODFT`
`ONDP`
`SACC`
`SLRY`
`SVGS`
`TAXE`
`TRAS`

## Method Summary

Modifier and Type
Method
Description
`static CashAccountType4Code`
`fromValue(String v)`
`String`
`value()`
`static CashAccountType4Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CashAccountType4Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CASH

public static final CashAccountType4Code CASH

### CHAR

public static final CashAccountType4Code CHAR

### COMM

public static final CashAccountType4Code COMM

### TAXE

public static final CashAccountType4Code TAXE

### CISH

public static final CashAccountType4Code CISH

### TRAS

public static final CashAccountType4Code TRAS

### SACC

public static final CashAccountType4Code SACC

### CACC

public static final CashAccountType4Code CACC

### SVGS

public static final CashAccountType4Code SVGS

### ONDP

public static final CashAccountType4Code ONDP

### MGLD

public static final CashAccountType4Code MGLD

### NREX

public static final CashAccountType4Code NREX

### MOMA

public static final CashAccountType4Code MOMA

### LOAN

public static final CashAccountType4Code LOAN

### SLRY

public static final CashAccountType4Code SLRY

### ODFT

public static final CashAccountType4Code ODFT

## Method Details

### values

public static CashAccountType4Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CashAccountType4Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static CashAccountType4Code fromValue(String v)